// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		531EB182249781D9005F83CF /* MemeTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 531EB181249781D9005F83CF /* MemeTableViewController.swift */; };
		531EB185249783E9005F83CF /* Meme.swift in Sources */ = {isa = PBXBuildFile; fileRef = 531EB184249783E9005F83CF /* Meme.swift */; };
		531EB18724978B99005F83CF /* MemeTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 531EB18624978B99005F83CF /* MemeTableViewCell.swift */; };
		531EB18A2497DDD4005F83CF /* Meme.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 531EB1882497DDD4005F83CF /* Meme.xcdatamodeld */; };
		531EB18C2497DE3D005F83CF /* DataController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 531EB18B2497DE3D005F83CF /* DataController.swift */; };
		53728CFC2438ABBC00B37B24 /* textDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 53728CFB2438ABBC00B37B24 /* textDelegate.swift */; };
		53851F5E24378B5E00A938D3 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 53851F5D24378B5E00A938D3 /* AppDelegate.swift */; };
		53851F6024378B5E00A938D3 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 53851F5F24378B5E00A938D3 /* ViewController.swift */; };
		53851F6324378B5E00A938D3 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 53851F6124378B5E00A938D3 /* Main.storyboard */; };
		53851F6524378B6000A938D3 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 53851F6424378B6000A938D3 /* Assets.xcassets */; };
		53851F6824378B6000A938D3 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 53851F6624378B6000A938D3 /* LaunchScreen.storyboard */; };
		53EA3FCB249F8D8800322C84 /* MemeViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 53EA3FCA249F8D8800322C84 /* MemeViewController.swift */; };
		53EF1B5724A78B5300C54557 /* MemeCollectionViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 53EF1B5624A78B5300C54557 /* MemeCollectionViewController.swift */; };
		53EF1B5C24A792A400C54557 /* MemeCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 53EF1B5B24A792A400C54557 /* MemeCollectionViewCell.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		531EB181249781D9005F83CF /* MemeTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemeTableViewController.swift; sourceTree = "<group>"; };
		531EB184249783E9005F83CF /* Meme.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Meme.swift; sourceTree = "<group>"; };
		531EB18624978B99005F83CF /* MemeTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemeTableViewCell.swift; sourceTree = "<group>"; };
		531EB1892497DDD4005F83CF /* Meme.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Meme.xcdatamodel; sourceTree = "<group>"; };
		531EB18B2497DE3D005F83CF /* DataController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DataController.swift; sourceTree = "<group>"; };
		53728CFB2438ABBC00B37B24 /* textDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = textDelegate.swift; sourceTree = "<group>"; };
		53851F5D24378B5E00A938D3 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		53851F5F24378B5E00A938D3 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		53851F6224378B5E00A938D3 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		53851F6424378B6000A938D3 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		53851F6724378B6000A938D3 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		53851F6924378B6000A938D3 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		53CA629124408492002A9F23 /* Meme 1.0.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Meme 1.0.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		53EA3FCA249F8D8800322C84 /* MemeViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemeViewController.swift; sourceTree = "<group>"; };
		53EF1B5624A78B5300C54557 /* MemeCollectionViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemeCollectionViewController.swift; sourceTree = "<group>"; };
		53EF1B5B24A792A400C54557 /* MemeCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemeCollectionViewCell.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		53851F5724378B5E00A938D3 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		531EB183249783D6005F83CF /* Model */ = {
			isa = PBXGroup;
			children = (
				531EB184249783E9005F83CF /* Meme.swift */,
				531EB1882497DDD4005F83CF /* Meme.xcdatamodeld */,
				531EB18B2497DE3D005F83CF /* DataController.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		53728CFA2438AB9C00B37B24 /* Delegates */ = {
			isa = PBXGroup;
			children = (
				53851F5D24378B5E00A938D3 /* AppDelegate.swift */,
				53728CFB2438ABBC00B37B24 /* textDelegate.swift */,
			);
			path = Delegates;
			sourceTree = "<group>";
		};
		53851F5124378B5E00A938D3 = {
			isa = PBXGroup;
			children = (
				53851F5C24378B5E00A938D3 /* Meme 1.0 */,
				53CA629124408492002A9F23 /* Meme 1.0.app */,
			);
			sourceTree = "<group>";
		};
		53851F5C24378B5E00A938D3 /* Meme 1.0 */ = {
			isa = PBXGroup;
			children = (
				53EF1B5824A78CC100C54557 /* Controllers */,
				531EB183249783D6005F83CF /* Model */,
				53728CFA2438AB9C00B37B24 /* Delegates */,
				53851F6124378B5E00A938D3 /* Main.storyboard */,
				53851F6424378B6000A938D3 /* Assets.xcassets */,
				53851F6624378B6000A938D3 /* LaunchScreen.storyboard */,
				53851F6924378B6000A938D3 /* Info.plist */,
			);
			path = "Meme 1.0";
			sourceTree = "<group>";
		};
		53EF1B5824A78CC100C54557 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				53EF1B5A24A78D1800C54557 /* Collection Views */,
				53EF1B5924A78CEB00C54557 /* Table Views */,
				53851F5F24378B5E00A938D3 /* ViewController.swift */,
				53EA3FCA249F8D8800322C84 /* MemeViewController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		53EF1B5924A78CEB00C54557 /* Table Views */ = {
			isa = PBXGroup;
			children = (
				531EB181249781D9005F83CF /* MemeTableViewController.swift */,
				531EB18624978B99005F83CF /* MemeTableViewCell.swift */,
			);
			path = "Table Views";
			sourceTree = "<group>";
		};
		53EF1B5A24A78D1800C54557 /* Collection Views */ = {
			isa = PBXGroup;
			children = (
				53EF1B5624A78B5300C54557 /* MemeCollectionViewController.swift */,
				53EF1B5B24A792A400C54557 /* MemeCollectionViewCell.swift */,
			);
			path = "Collection Views";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		53851F5924378B5E00A938D3 /* Meme 1.0 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 53851F6C24378B6000A938D3 /* Build configuration list for PBXNativeTarget "Meme 1.0" */;
			buildPhases = (
				53851F5624378B5E00A938D3 /* Sources */,
				53851F5724378B5E00A938D3 /* Frameworks */,
				53851F5824378B5E00A938D3 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Meme 1.0";
			productName = test;
			productReference = 53CA629124408492002A9F23 /* Meme 1.0.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		53851F5224378B5E00A938D3 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1000;
				LastUpgradeCheck = 1000;
				ORGANIZATIONNAME = "Raymond Carl";
				TargetAttributes = {
					53851F5924378B5E00A938D3 = {
						CreatedOnToolsVersion = 10.0;
					};
				};
			};
			buildConfigurationList = 53851F5524378B5E00A938D3 /* Build configuration list for PBXProject "Meme 1.0" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 53851F5124378B5E00A938D3;
			productRefGroup = 53851F5124378B5E00A938D3;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				53851F5924378B5E00A938D3 /* Meme 1.0 */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		53851F5824378B5E00A938D3 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				53851F6824378B6000A938D3 /* LaunchScreen.storyboard in Resources */,
				53851F6524378B6000A938D3 /* Assets.xcassets in Resources */,
				53851F6324378B5E00A938D3 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		53851F5624378B5E00A938D3 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				531EB18A2497DDD4005F83CF /* Meme.xcdatamodeld in Sources */,
				53728CFC2438ABBC00B37B24 /* textDelegate.swift in Sources */,
				53EF1B5724A78B5300C54557 /* MemeCollectionViewController.swift in Sources */,
				53851F6024378B5E00A938D3 /* ViewController.swift in Sources */,
				53EF1B5C24A792A400C54557 /* MemeCollectionViewCell.swift in Sources */,
				53851F5E24378B5E00A938D3 /* AppDelegate.swift in Sources */,
				53EA3FCB249F8D8800322C84 /* MemeViewController.swift in Sources */,
				531EB18724978B99005F83CF /* MemeTableViewCell.swift in Sources */,
				531EB18C2497DE3D005F83CF /* DataController.swift in Sources */,
				531EB182249781D9005F83CF /* MemeTableViewController.swift in Sources */,
				531EB185249783E9005F83CF /* Meme.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		53851F6124378B5E00A938D3 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				53851F6224378B5E00A938D3 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		53851F6624378B6000A938D3 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				53851F6724378B6000A938D3 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		53851F6A24378B6000A938D3 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		53851F6B24378B6000A938D3 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		53851F6D24378B6000A938D3 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "$(SRCROOT)/Meme 1.0/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "Raymond-Carl.test";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		53851F6E24378B6000A938D3 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "$(SRCROOT)/Meme 1.0/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "Raymond-Carl.test";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		53851F5524378B5E00A938D3 /* Build configuration list for PBXProject "Meme 1.0" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				53851F6A24378B6000A938D3 /* Debug */,
				53851F6B24378B6000A938D3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		53851F6C24378B6000A938D3 /* Build configuration list for PBXNativeTarget "Meme 1.0" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				53851F6D24378B6000A938D3 /* Debug */,
				53851F6E24378B6000A938D3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		531EB1882497DDD4005F83CF /* Meme.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				531EB1892497DDD4005F83CF /* Meme.xcdatamodel */,
			);
			currentVersion = 531EB1892497DDD4005F83CF /* Meme.xcdatamodel */;
			path = Meme.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 53851F5224378B5E00A938D3 /* Project object */;
}
